/**
 * Created by rockyl on 2020-02-03.
 */

import {Block} from "./Block";
import ObjectPool = engine.ObjectPool;

export const PoolName: string = 'block';

ObjectPool.registerPool(PoolName, function () {
	return new Block();
}, function (item: Block, data) {
	item.reset(data);
});
